Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
63 user(s) are online (27 user(s) are browsing Forums)

Members: 0
Guests: 63

more...

Headlines

 
  Register To Post  

Cygwin cross-compiler problem
Just can't stay away
Just can't stay away


See User information
Hi,
Trying to install a cygwin cross-compiler by following instructions from Kas1e ( http://kas1e.mikendezign.com/zerohero ... p/cross-compiler_os4.html ) I encounter a problem.

No output are displayed and overall no compilation is done when I start ppc-amigaos-gcc.

I tried months ago on Windows 7 & 8 and encountered the exact same problem.
Now, under Windows 10, I deleted/reinstalled a fresh Cygwin but it still fails.

Is somebody encountered this problem ?

Thank you for your help
Guillaume

Resized Image


Go to top
Re: Cygwin cross-compiler problem
Just popping in
Just popping in


See User information
Hi,

that is strange, I have successfully used that compiler under Cygwin some time ago, on a Windows 7 machine, at least the GCC 4.4.3 worked. AFAIR you need to use the 32bit version of Cygwin, since gcc has been built for i686 and not for x86_64 CPUs.

Varthall

Go to top
Re: Cygwin cross-compiler problem
Just can't stay away
Just can't stay away


See User information
@Varthall

Hi Varthall,
thank you, you should have find the problem.
I installed the setup-x86_64.exe instead of setup-x86.exe.

I will retry later to install.

Thank you again :)

Go to top
Re: Cygwin cross-compiler problem
Home away from home
Home away from home


See User information
@zzd10h
As varhall say: i686-cygwin only (if you use archive from zerohero page). Your error through can be possible to fix via "/bin/rebaseall" , but that can be tricky, so better install 32bit cygwin.

And , while you at it, when you setup it, setup it with as much as possible developer packages, cmakes, automakes, bizons, perls, pythons all kind of that shit (that need and for odyssey, and for any other cross-compiler work you may try later).

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: Cygwin cross-compiler problem
Home away from home
Home away from home


See User information
@zzd10h
But what i forget to say, is that for newers odyssey code (that one, which on github), need gcc 4.8.x minimum, but better i assume 4.9.x or even 5.x. I.e. that old gcc archives which on zerohero page, are non go if you want to build github's odyssey code.

I at moment create some small cygwin installation, where i just intall necessary bits only + building gcc 5.x crosscompiler (not native as on os4depot) from Sebastian's repo, and if you in interst i can pack it as archive, and upload for public.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: Cygwin cross-compiler problem
Just can't stay away
Just can't stay away


See User information
@Varthall

Thank you again, all is working now. I just compiled SysMon :)

@kas1e
Yes, please, if you could make a public package, it will be nice.

Go to top
Re: Cygwin cross-compiler problem
Home away from home
Home away from home


See User information
del


Edited by kas1e on 2016/1/14 10:04:19
Join us to improve dopus5!
AmigaOS4 on youtube
Go to top

  Register To Post

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2023 The XOOPS Project